Skip to main content
PUT
/
payees
/
{payeeId}
cURL
curl --request PUT \
  --url https://api.sandbox.flowpayroll.ai/v1/court-orders/payees/{payeeId} \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "name": "<string>",
  "bacsDetails": {
    "accountNumber": "<string>",
    "sortCode": "<string>",
    "includeInRemittanceFile": true
  }
}
'
{
  "content": {
    "data": {
      "id": "<string>",
      "organisationId": "<string>",
      "name": "<string>",
      "bacsDetails": {
        "accountNumber": "<string>",
        "sortCode": "<string>",
        "includeInRemittanceFile": true
      },
      "createdDate": "<string>",
      "createdBy": "<string>",
      "updatedDate": "<string>",
      "updatedBy": "<string>"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

payeeId
string
required

Body

application/json
name
string | null
paymentMethod
enum<string> | null
Available options:
Bacs,
Cheque,
Card
bacsDetails
object

Response

OK

content
object
metadata
object
errors
object[] | null
message
object